device(1).
job(2).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
job(5).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(3).
job(4).
precedes(1,2).
precedes(2,3).
precedes(4,5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
deadline(9,12).
deadline(12,27).
precedes(5,6).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
importance(12,2).
importance(11,2).
importance(10,2).
importance(9,3).
importance(8,3).
importance(7,2).
importance(6,2).
importance(5,1).
importance(4,1).
importance(3,3).
importance(2,1).
importance(1,2).
job_device(1,1).
job_device(4,2).
job_device(7,1).
job_device(10,1).
job_device(2,3).
job_device(5,3).
job_device(8,3).
job_device(11,3).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_len(12,17).
job_len(11,6).
job_len(10,14).
job_len(9,6).
job_len(8,16).
job_len(7,20).
job_len(6,3).
job_len(5,20).
job_len(4,18).
job_len(3,5).
job_len(2,17).
job_len(1,7).
deadline(3,26).
deadline(6,30).
max_total_penalty(4800).
curr_time(0).
max_value(4800).

